<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/PlayerModifiers/Modifiers/EpinephrineMdfr.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d42/_epinephrine_mdfr_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">EpinephrineMdfr.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/d42/_epinephrine_mdfr_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../de/d92/class_epinephrine_mdfr.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../de/d92/class_epinephrine_mdfr.html">EpinephrineMdfr</a>: <a class="code hl_class" href="../../d8/d0a/class_modifier_base.html">ModifierBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../de/d92/class_epinephrine_mdfr.html#a669b4dc75691be11608030b9f672e5cb">    3</a></span>    <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../de/d92/class_epinephrine_mdfr.html#a669b4dc75691be11608030b9f672e5cb">LIFETIME</a> = 60;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../de/d92/class_epinephrine_mdfr.html#a9e95e964e23253faf66d4e42ea7b23c0">    4</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../de/d92/class_epinephrine_mdfr.html#a9e95e964e23253faf66d4e42ea7b23c0">STAMINA_DEPLETION_MULTIPLIER</a> = 0;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../de/d92/class_epinephrine_mdfr.html#a5e028ed732a0c24f9a425dacd96230b5">    5</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d92/class_epinephrine_mdfr.html#a5e028ed732a0c24f9a425dacd96230b5">Init</a>()</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    {</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#a04ae6d90cb75d3086c27e65cddd358a0">m_TrackActivatedTime</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#ae8326cd63358abd4d8bfa7c8538fecd4">m_IsPersistent</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a>                    = <a class="code hl_enumeration" href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a>.MDF_EPINEPHRINE;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aad5f52b5eb22d81599e8a25ec6055d22">m_TickIntervalInactive</a>  = <a class="code hl_variable" href="../../d3/d3c/_modifiers_manager_8c.html#ab41b0cbf9fe485932fbffc19ea426bac">DEFAULT_TICK_TIME_INACTIVE</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <a class="code hl_variable" href="../../de/d0e/_modifier_base_8c.html#aa9aa2d760c0099abe3d671d7c4c6368f">m_TickIntervalActive</a>    = 1;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#a771f17acf34676182be64e41430920e6">DisableActivateCheck</a>();</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    }</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../de/d92/class_epinephrine_mdfr.html#aa1e00b857b1a2e3807a0db468d5ca1de">   15</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d92/class_epinephrine_mdfr.html#aa1e00b857b1a2e3807a0db468d5ca1de">ActivateCondition</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../de/d92/class_epinephrine_mdfr.html#a9fcf9ecf437f0baabe75d7833c515e87">   20</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d92/class_epinephrine_mdfr.html#a9fcf9ecf437f0baabe75d7833c515e87">OnReconnect</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_function" href="../../d4/d9e/human_8c.html#ad88f589957281ee7efebbc581b18bef1">OnActivate</a>(player);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../de/d92/class_epinephrine_mdfr.html#a505f3de11f1e0dbb102137b1557ef8ab">   25</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../de/d92/class_epinephrine_mdfr.html#a505f3de11f1e0dbb102137b1557ef8ab">GetDebugText</a>()</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <span class="keywordflow">return</span> (<a class="code hl_variable" href="../../de/d92/class_epinephrine_mdfr.html#a669b4dc75691be11608030b9f672e5cb">LIFETIME</a> - <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#a6d27673678a2b8c86ee597aa1ab6db0a">GetAttachedTime</a>()).<a class="code hl_function" href="../../d5/da2/group___strings.html#ga2aa07a41b8fd7270be668acdf9486a87">ToString</a>();</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../de/d92/class_epinephrine_mdfr.html#abaa10860fc5606b3d09165c7cf888beb">   30</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d92/class_epinephrine_mdfr.html#abaa10860fc5606b3d09165c7cf888beb">OnActivate</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        player.IncreaseHealingsCount();</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="comment">//if( player.GetNotifiersManager() ) player.GetNotifiersManager().ActivateByType(eNotifiers.NTF_PILLS);</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        player.GiveShock(100);</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        player.GetStaminaHandler().SetStamina(100);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        player.GetStaminaHandler().ActivateDepletionModifier(<a class="code hl_enumeration" href="../../d5/d6b/_stamina_handler_8c.html#a1d00c144634198eca6b5833e07a05c7c">EStaminaMultiplierTypes</a>.EPINEPHRINE);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../de/d92/class_epinephrine_mdfr.html#a87d345cb61b54808255ae26aebd6606c">   39</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d92/class_epinephrine_mdfr.html#a87d345cb61b54808255ae26aebd6606c">OnDeactivate</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="comment">//if( player.GetNotifiersManager() ) player.GetNotifiersManager().DeactivateByType(eNotifiers.NTF_PILLS);</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        player.DecreaseHealingsCount();</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="comment">//player.GetStaminaHandler().SetDepletionMultiplier(1);</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        player.GetStaminaHandler().DeactivateDepletionModifier(<a class="code hl_enumeration" href="../../d5/d6b/_stamina_handler_8c.html#a1d00c144634198eca6b5833e07a05c7c">EStaminaMultiplierTypes</a>.EPINEPHRINE);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../de/d92/class_epinephrine_mdfr.html#a1ae19d5c2e9bcd3eea9799c87daac1cf">   47</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d92/class_epinephrine_mdfr.html#a1ae19d5c2e9bcd3eea9799c87daac1cf">DeactivateCondition</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    {</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="keywordtype">float</span> attached_time = <a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#a6d27673678a2b8c86ee597aa1ab6db0a">GetAttachedTime</a>();</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">if</span>( attached_time &gt;= <a class="code hl_variable" href="../../de/d92/class_epinephrine_mdfr.html#a669b4dc75691be11608030b9f672e5cb">LIFETIME</a> )</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../de/d92/class_epinephrine_mdfr.html#a9b3b56ff92d706add12b0bd281f43f8a">   61</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d92/class_epinephrine_mdfr.html#a9b3b56ff92d706add12b0bd281f43f8a">OnTick</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <span class="keywordtype">float</span> deltaT)</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="comment">//player.GetStaminaHandler().SetStamina(100);</span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>};</div>
<div class="ttc" id="a_effect_8c_html_a231c2447c3602426c9e06e6094bae8a8"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a></div><div class="ttdeci">protected int m_ID</div><div class="ttdoc">ID of effect, given by SEffectManager when registered (automatically done when playing through it)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00049">Effect.c:49</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a04ae6d90cb75d3086c27e65cddd358a0"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a04ae6d90cb75d3086c27e65cddd358a0">m_TrackActivatedTime</a></div><div class="ttdeci">bool m_TrackActivatedTime</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00015">ModifierBase.c:15</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a6d27673678a2b8c86ee597aa1ab6db0a"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a6d27673678a2b8c86ee597aa1ab6db0a">GetAttachedTime</a></div><div class="ttdeci">float GetAttachedTime()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00150">ModifierBase.c:150</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_a771f17acf34676182be64e41430920e6"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#a771f17acf34676182be64e41430920e6">DisableActivateCheck</a></div><div class="ttdeci">void DisableActivateCheck()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00078">ModifierBase.c:78</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aa9aa2d760c0099abe3d671d7c4c6368f"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aa9aa2d760c0099abe3d671d7c4c6368f">m_TickIntervalActive</a></div><div class="ttdeci">float m_TickIntervalActive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00019">ModifierBase.c:19</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aad5f52b5eb22d81599e8a25ec6055d22"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aad5f52b5eb22d81599e8a25ec6055d22">m_TickIntervalInactive</a></div><div class="ttdeci">float m_TickIntervalInactive</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00018">ModifierBase.c:18</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_ae8326cd63358abd4d8bfa7c8538fecd4"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#ae8326cd63358abd4d8bfa7c8538fecd4">m_IsPersistent</a></div><div class="ttdeci">bool m_IsPersistent</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00016">ModifierBase.c:16</a></div></div>
<div class="ttc" id="a_modifiers_manager_8c_html_ab41b0cbf9fe485932fbffc19ea426bac"><div class="ttname"><a href="../../d3/d3c/_modifiers_manager_8c.html#ab41b0cbf9fe485932fbffc19ea426bac">DEFAULT_TICK_TIME_INACTIVE</a></div><div class="ttdeci">const int DEFAULT_TICK_TIME_INACTIVE</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3c/_modifiers_manager_8c_source.html#l00033">ModifiersManager.c:33</a></div></div>
<div class="ttc" id="a_stamina_handler_8c_html_a1d00c144634198eca6b5833e07a05c7c"><div class="ttname"><a href="../../d5/d6b/_stamina_handler_8c.html#a1d00c144634198eca6b5833e07a05c7c">EStaminaMultiplierTypes</a></div><div class="ttdeci">EStaminaMultiplierTypes</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d6b/_stamina_handler_8c_source.html#l00001">StaminaHandler.c:2</a></div></div>
<div class="ttc" id="aclass_epinephrine_mdfr_html"><div class="ttname"><a href="../../de/d92/class_epinephrine_mdfr.html">EpinephrineMdfr</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d42/_epinephrine_mdfr_8c_source.html#l00001">EpinephrineMdfr.c:2</a></div></div>
<div class="ttc" id="aclass_epinephrine_mdfr_html_a1ae19d5c2e9bcd3eea9799c87daac1cf"><div class="ttname"><a href="../../de/d92/class_epinephrine_mdfr.html#a1ae19d5c2e9bcd3eea9799c87daac1cf">EpinephrineMdfr::DeactivateCondition</a></div><div class="ttdeci">override bool DeactivateCondition(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d42/_epinephrine_mdfr_8c_source.html#l00047">EpinephrineMdfr.c:47</a></div></div>
<div class="ttc" id="aclass_epinephrine_mdfr_html_a505f3de11f1e0dbb102137b1557ef8ab"><div class="ttname"><a href="../../de/d92/class_epinephrine_mdfr.html#a505f3de11f1e0dbb102137b1557ef8ab">EpinephrineMdfr::GetDebugText</a></div><div class="ttdeci">override string GetDebugText()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d42/_epinephrine_mdfr_8c_source.html#l00025">EpinephrineMdfr.c:25</a></div></div>
<div class="ttc" id="aclass_epinephrine_mdfr_html_a5e028ed732a0c24f9a425dacd96230b5"><div class="ttname"><a href="../../de/d92/class_epinephrine_mdfr.html#a5e028ed732a0c24f9a425dacd96230b5">EpinephrineMdfr::Init</a></div><div class="ttdeci">override void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d42/_epinephrine_mdfr_8c_source.html#l00005">EpinephrineMdfr.c:5</a></div></div>
<div class="ttc" id="aclass_epinephrine_mdfr_html_a669b4dc75691be11608030b9f672e5cb"><div class="ttname"><a href="../../de/d92/class_epinephrine_mdfr.html#a669b4dc75691be11608030b9f672e5cb">EpinephrineMdfr::LIFETIME</a></div><div class="ttdeci">const int LIFETIME</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d42/_epinephrine_mdfr_8c_source.html#l00003">EpinephrineMdfr.c:3</a></div></div>
<div class="ttc" id="aclass_epinephrine_mdfr_html_a87d345cb61b54808255ae26aebd6606c"><div class="ttname"><a href="../../de/d92/class_epinephrine_mdfr.html#a87d345cb61b54808255ae26aebd6606c">EpinephrineMdfr::OnDeactivate</a></div><div class="ttdeci">override void OnDeactivate(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d42/_epinephrine_mdfr_8c_source.html#l00039">EpinephrineMdfr.c:39</a></div></div>
<div class="ttc" id="aclass_epinephrine_mdfr_html_a9b3b56ff92d706add12b0bd281f43f8a"><div class="ttname"><a href="../../de/d92/class_epinephrine_mdfr.html#a9b3b56ff92d706add12b0bd281f43f8a">EpinephrineMdfr::OnTick</a></div><div class="ttdeci">override void OnTick(PlayerBase player, float deltaT)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d42/_epinephrine_mdfr_8c_source.html#l00061">EpinephrineMdfr.c:61</a></div></div>
<div class="ttc" id="aclass_epinephrine_mdfr_html_a9e95e964e23253faf66d4e42ea7b23c0"><div class="ttname"><a href="../../de/d92/class_epinephrine_mdfr.html#a9e95e964e23253faf66d4e42ea7b23c0">EpinephrineMdfr::STAMINA_DEPLETION_MULTIPLIER</a></div><div class="ttdeci">const float STAMINA_DEPLETION_MULTIPLIER</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d42/_epinephrine_mdfr_8c_source.html#l00004">EpinephrineMdfr.c:4</a></div></div>
<div class="ttc" id="aclass_epinephrine_mdfr_html_a9fcf9ecf437f0baabe75d7833c515e87"><div class="ttname"><a href="../../de/d92/class_epinephrine_mdfr.html#a9fcf9ecf437f0baabe75d7833c515e87">EpinephrineMdfr::OnReconnect</a></div><div class="ttdeci">override void OnReconnect(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d42/_epinephrine_mdfr_8c_source.html#l00020">EpinephrineMdfr.c:20</a></div></div>
<div class="ttc" id="aclass_epinephrine_mdfr_html_aa1e00b857b1a2e3807a0db468d5ca1de"><div class="ttname"><a href="../../de/d92/class_epinephrine_mdfr.html#aa1e00b857b1a2e3807a0db468d5ca1de">EpinephrineMdfr::ActivateCondition</a></div><div class="ttdeci">override bool ActivateCondition(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d42/_epinephrine_mdfr_8c_source.html#l00015">EpinephrineMdfr.c:15</a></div></div>
<div class="ttc" id="aclass_epinephrine_mdfr_html_abaa10860fc5606b3d09165c7cf888beb"><div class="ttname"><a href="../../de/d92/class_epinephrine_mdfr.html#abaa10860fc5606b3d09165c7cf888beb">EpinephrineMdfr::OnActivate</a></div><div class="ttdeci">override void OnActivate(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d42/_epinephrine_mdfr_8c_source.html#l00030">EpinephrineMdfr.c:30</a></div></div>
<div class="ttc" id="aclass_modifier_base_html"><div class="ttname"><a href="../../d8/d0a/class_modifier_base.html">ModifierBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d04/_breath_vapour_mdfr_8c_source.html#l00003">BreathVapourMdfr.c:4</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="ae_modifiers_8c_html_a38544df67f7f5b2fdf488d7705d7a582"><div class="ttname"><a href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a></div><div class="ttdeci">eModifiers</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d19/e_modifiers_8c_source.html#l00001">eModifiers.c:2</a></div></div>
<div class="ttc" id="agroup___strings_html_ga2aa07a41b8fd7270be668acdf9486a87"><div class="ttname"><a href="../../d5/da2/group___strings.html#ga2aa07a41b8fd7270be668acdf9486a87">string::ToString</a></div><div class="ttdeci">static proto string ToString(void var, bool type=false, bool name=false, bool quotes=true)</div><div class="ttdoc">Return string representation of variable.</div></div>
<div class="ttc" id="ahuman_8c_html_ad88f589957281ee7efebbc581b18bef1"><div class="ttname"><a href="../../d4/d9e/human_8c.html#ad88f589957281ee7efebbc581b18bef1">OnActivate</a></div><div class="ttdeci">class HumanMovementState OnActivate()</div><div class="ttdoc">HumanCommandScript fully scriptable command.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l01024">human.c:1086</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_0e1c6459c1c3433a8fff963bc41b9946.html">PlayerModifiers</a></li><li class="navelem"><a class="el" href="../../dir_2f487fd4525d42d8067e7d1b4828f2de.html">Modifiers</a></li><li class="navelem"><a class="el" href="../../d0/d42/_epinephrine_mdfr_8c.html">EpinephrineMdfr.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
